//---------------------------------------------------------------------------
#ifndef mainformH
#define mainformH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Tabnotbk.hpp>
#include <vcl\ComCtrls.hpp>
#include "Grids.hpp"
#include "TVICHW32.hpp"
#include <vcl\OleCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label3;
	TLabel *Label18;
	TBitBtn *BitBtn3;
	TButton *B_Open;
	TPanel *Panel1;
	TLabel *Label4;
	TLabel *Label6;
	TLabel *Label8;
	TLabel *Label9;
	TTabbedNotebook *TabbedNotebook1;
	TButton *B_Read;
	TButton *B_ReadAll;
	TButton *B_Write;
	TButton *B_WriteAll;
	TStringGrid *GRead;
	TStringGrid *GWrite;
	TCheckBox *C_Hard;
	TLabel *Label12;
	TEdit *E_Addr;
	TButton *B_SetMemory;
	TButton *B_ReadMemory;
	TStringGrid *MemoHex;
	TButton *B_FillMemory;
	TLabel *L_Flag;
	TLabel *L_Gen;
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label5;
	TLabel *L_Timers;
	TLabel *Label7;
	TLabel *Label10;
	TLabel *L_ScanCode;
	TLabel *Label13;
	TLabel *L_LPT_Data;
	TLabel *Label15;
	TLabel *L_LPT_STATUS;
	TCheckBox *B_Mask;
	TCheckBox *C_LPT_IRQ;
	TGroupBox *G_Read;
	TLabel *Label11;
	TLabel *Label14;
	TCheckBox *RPin1;
	TCheckBox *RPin2;
	TCheckBox *RPin3;
	TCheckBox *RPin4;
	TCheckBox *RPin5;
	TCheckBox *RPin6;
	TCheckBox *RPin7;
	TCheckBox *RPin8;
	TCheckBox *RPin9;
	TCheckBox *RPin10;
	TCheckBox *RPin11;
	TCheckBox *RPin12;
	TCheckBox *RPin13;
	TCheckBox *RPin14;
	TCheckBox *RPin15;
	TCheckBox *RPin16;
	TCheckBox *RPin17;
	TCheckBox *CheckBox1;
	TCheckBox *CheckBox2;
	TCheckBox *CheckBox3;
	TCheckBox *CheckBox4;
	TCheckBox *CheckBox5;
	TCheckBox *CheckBox6;
	TCheckBox *CheckBox7;
	TCheckBox *CheckBox8;
	TGroupBox *GroupBox1;
	TLabel *Label16;
	TLabel *Label17;
	TCheckBox *WPin1;
	TCheckBox *WPin2;
	TCheckBox *WPin3;
	TCheckBox *WPin4;
	TCheckBox *WPin5;
	TCheckBox *WPin6;
	TCheckBox *WPin7;
	TCheckBox *WPin8;
	TCheckBox *WPin9;
	TCheckBox *WPin14;
	TCheckBox *WPin15;
	TCheckBox *WPin17;
	TCheckBox *WPin10;
	TCheckBox *WPin11;
	TCheckBox *WPin12;
	TCheckBox *WPin13;
	TCheckBox *WPin16;
	TCheckBox *CheckBox9;
	TCheckBox *CheckBox10;
	TCheckBox *CheckBox11;
	TCheckBox *CheckBox12;
	TCheckBox *CheckBox13;
	TCheckBox *CheckBox14;
	TCheckBox *CheckBox15;
	TCheckBox *CheckBox16;
	TGroupBox *GroupBox2;
	TCheckBox *C_BUSY;
	TCheckBox *C_PE;
	TCheckBox *C_ERROR;
	TCheckBox *C_ACKWL;
	TCheckBox *C_SLCT;
	TButton *C_Init;
	TButton *B_Print;
	TButton *B_Clear;
	TButton *B_Stop;
	TMemo *TextMemo;
	TGroupBox *GroupBox3;
	TLabel *Label19;
	TLabel *L_LPTs;
	TLabel *Label20;
	TLabel *Label21;
	TLabel *L_Base;
	TButton *B_CloseDriver;
	TTimer *Timer1;
	TUpDown *SpinIRQ;
	TLabel *L_IRQ;
	TUpDown *SpinLPT;
	TLabel *L_LPTNumber;
	TTVicHW32 *HwCtrl;
	void __fastcall FormActivate(TObject *Sender);
	
	void __fastcall B_WriteClick(TObject *Sender);
	void __fastcall B_WriteAllClick(TObject *Sender);
	void __fastcall B_ReadClick(TObject *Sender);
	void __fastcall B_ReadAllClick(TObject *Sender);
	void __fastcall C_HardClick(TObject *Sender);
	void __fastcall B_SetMemoryClick(TObject *Sender);
	void __fastcall B_ReadMemoryClick(TObject *Sender);
	void __fastcall E_AddrChange(TObject *Sender);
	void __fastcall B_MaskClick(TObject *Sender);
	void __fastcall C_LPT_IRQClick(TObject *Sender);
	
	
	void __fastcall WPin1Click(TObject *Sender);
	void __fastcall C_InitClick(TObject *Sender);
	void __fastcall B_ClearClick(TObject *Sender);
	void __fastcall B_PrintClick(TObject *Sender);
	void __fastcall B_StopClick(TObject *Sender);
	void __fastcall B_OpenClick(TObject *Sender);
	void __fastcall B_CloseDriverClick(TObject *Sender);
	void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall SpinIRQClick(TObject *Sender, TUDBtnType Button);
	void __fastcall SpinLPTClick(TObject *Sender, TUDBtnType Button);
	void __fastcall BitBtn3Click(TObject *Sender);
	
	
	void __fastcall HwCtrlHwInterrupt(TObject *Sender, int HwCounter,
	short LPT_DataReg, short LPT_StatusReg, short ScanCode);
private:	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
